unit frm_adresse;

{$mode objfpc}{$H+}

interface

uses
  Classes, DB, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, DBCtrls, DBGrids, Grids, Menus;

type

  { TfrmAdresse }

  TfrmAdresse = class(TForm)
    btnBausteinNotiz: TButton;
    btnBriefanrede: TButton;
    btnPLZ: TButton;
    btnSpeichern: TButton;
    dbcAuftragssteuerart: TDBLookupComboBox;
    dbeZuschlag: TDBEdit;
    dbeUstID: TDBEdit;
    dbgKontaktDaten: TDBGrid;
    dblAdressAnrede: TDBLookupComboBox;
    dblAdressArt: TDBLookupComboBox;
    dblZahlungsbedingung: TDBLookupComboBox;
    memAdressNotiz: TMemo;
    DBText1: TDBText;
    DBText2: TDBText;
    DBText7: TDBText;
    DBText8: TDBText;
    DBText9: TDBText;
    dbeBriefanrede: TDBEdit;
    dbeVorname: TDBEdit;
    dbeFirma1Zuname: TDBEdit;
    dbeFirma2: TDBEdit;
    dbeZusatz: TDBEdit;
    dbeOrt: TDBEdit;
    dbeOrtsteil: TDBEdit;
    dbePfOrt: TDBEdit;
    dbePfPlz: TDBEdit;
    dbePlz: TDBEdit;
    dbePostfach: TDBEdit;
    dbeStrasse: TDBEdit;
    dbeTitel: TDBEdit;
    imgAdresse: TImage;
    Label1: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label2: TLabel;
    Label23: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    lAnrede: TLabel;
    lblUstID: TLabel;
    pnlButtons: TPanel;
    pnlHeader: TPanel;
    procedure btnSpeichernClick(Sender: TObject);
    procedure btnVerwerfenClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
  private

  public

  end;

var
  frmAdresse: TfrmAdresse;
  DoSave: boolean;

function BearbeiteAdresse(IDAdresse: integer; Neu: boolean): boolean;

implementation

{$R *.frm}


function BearbeiteAdresse(IDAdresse: integer; Neu: boolean): boolean;
var
  Suchtext: string;
  LastRec: integer;
  F: TfrmAdresse;
begin
  DoSave := False;
    F := TfrmAdresse.Create(nil);

    try
     F.ShowModal;
    finally
      FreeAndNil(F);
    end;
  end;


{ TfrmAdresse }

procedure TfrmAdresse.btnSpeichernClick(Sender: TObject);
begin
  DoSave := True;
  Close;
end;

procedure TfrmAdresse.btnVerwerfenClick(Sender: TObject);
begin
  DoSave := False;
  Close;
end;

procedure TfrmAdresse.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  if not DoSave then
    if MessageDlg('Sollen wirklich alle Änderungen verworfen werden?', mtWarning, [mbYes, mbNo], 0) = mrYes then
      DoSave := False
    else
      DoSave := True;
end;

end.





