unit frm_getadresse;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LCLType, FileUtil,  Forms, Controls,
  Graphics, Dialogs, ExtCtrls, StdCtrls, DBGrids,
  ComCtrls, DBCtrls, DB,
  Grids;

type

  { TfrmGetAdresse }

  TfrmGetAdresse = class(TForm)
    btnAbbruch: TButton;
    btnAdresseEinfuegen: TButton;
    dbeIDAdresse: TDBEdit;
    dbgAdressListe: TDBGrid;
    dbgKontaktListe: TDBGrid;
    DBText1: TDBText;
    DBText2: TDBText;
    DBText7: TDBText;
    DBText8: TDBText;
    DBText9: TDBText;
    Label7: TLabel;
    lblCNTAdressen: TLabel;
    lblKontaktHeader: TLabel;
    pnlButtons: TPanel;
    pnlHeader: TPanel;

    procedure btnAbbruchClick(Sender: TObject);
    procedure btnAdresseEinfuegenClick(Sender: TObject);
    procedure btnOKAdresseClick(Sender: TObject);
    procedure btnOKAllesClick(Sender: TObject);
    procedure dbgAdressListeDblClick(Sender: TObject);
    procedure dbgKontaktListeDblClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;




var
  frmGetAdresse: TfrmGetAdresse;
  ClickedButton: integer;

function GetAddresse(var IDAdresse: integer; var IDKontakt: integer): boolean;

implementation

{$R *.frm}

uses
  frm_adresse;

function GetAddresse(var IDAdresse: integer; var IDKontakt: integer): boolean;
var
  Suchtext: string;
  QueryTextAlt: string;
  IDAlt: integer;
  F: TfrmGetAdresse;
begin

    F := TfrmGetAdresse.Create(nil);

    try

      F.ShowModal;

    finally
      FreeAndNil(F);
    end;
  end;


{ TfrmGetAdresse }

procedure TfrmGetAdresse.dbgAdressListeDblClick(Sender: TObject);
begin
  ClickedButton := 1;
  Close;
end;


procedure TfrmGetAdresse.dbgKontaktListeDblClick(Sender: TObject);
begin
  ClickedButton := 2;
  Close;
end;
procedure TfrmGetAdresse.FormShow(Sender: TObject);
var
  C: string;
begin

end;

procedure TfrmGetAdresse.btnAbbruchClick(Sender: TObject);
begin
  ClickedButton := 0;
  Close;
end;

procedure TfrmGetAdresse.btnAdresseEinfuegenClick(Sender: TObject);
begin
  BearbeiteAdresse(1,True);
end;


procedure TfrmGetAdresse.btnOKAdresseClick(Sender: TObject);
begin
  ClickedButton := 1;
  Close;
end;

procedure TfrmGetAdresse.btnOKAllesClick(Sender: TObject);
begin
  ClickedButton := 2;
  Close;
end;


end.
